REUSE-LINT-FILE(1)

NAME
reuse-lint-file - Verify whether the specified files are compliant with the REUSE Specification

SYNOPSIS

reuse lint-file [options] [file ...]

DESCRIPTION

reuse-lint-file verifies whether the specified files are compliant with the REUSE Specification located at <https://reuse.software/spec>. It runs the linter from reuse-lint(1) <https://reuse.readthedocs.io/en/v6.2.0/man/reuse-lint.html> against a subset of files, using a subset of criteria.

Files that are ignored by reuse-lint are also ignored by reuse-lint-file, even if specified.

CRITERIA

The criteria are the same as used in reuse-lint(1) <https://reuse.readthedocs.io/en/v6.2.0/man/reuse-lint.html>, but using only a subset:

•   Missing licenses.

•   Read errors.

•   Files without copyright and license information.

OPTIONS

-q, --quiet
    Do not print anything to STDOUT.

-l, --lines
    Output one line per error, prefixed by the file path. This option is the default.

--help
    Display help and exit.

Author
Free Software Foundation Europe

Copyright
2017, Free Software Foundation Europe. CC-BY-SA-4.0